Subject: Re: PPC64 & DMA zone

From: Benjamin Herrenschmidt <[email-masked]>
Date: Sat, 18 Aug 2012 06:40:56 +1000

On Fri, 2012-08-17 at 23:04 +0300, Aaro Koskinen wrote:
> Hi,
> 
> Is there a way to reduce/limit DMA zone with PPC64 kernel (3.6-rcX)
> on G5 Mac? I have tried to search Kconfig or command line options,
> but can't find anything.

No.

> The problem I have is that b43 driver (wireless chip) insists a 30-bit
> DMA mask, but I have 1.5 GB physical memory. So the only way I can get
> the wireless connection to work is to boot with "mem=1024MB". And as a
> result my bloaty applications will loose much needed memory...

Or force the iommu to be enabled, it should be able to service
constrained DMA (iommu=force on the command line).

Cheers,
Ben.